CanvasesGenerate dashboard from canvas

Generate dashboard from canvas

Build (or regenerate) a dashboard of funnel insights from the canvas's page nodes. Page nodes are topologically sorted by edges, and a fixed set of insights (unique users, sessions, pageviews, conversion funnel, traffic by step, session UTMs, purchases) is created and linked. If a dashboard already exists for this canvas it is regenerated in place. No request body. Requires an agency key (ak_).

curl -X POST "https://mythic-analytics.gulp.workers.dev/builder/canvases/123e4567-e89b-12d3-a456-426614174000/generate-dashboard?location_id=acme-retail" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "dashboardId": "123e4567-e89b-12d3-a456-426614174000",
  "created": true,
  "regenerated": false
}
POST
/canvases/{id}/generate-dashboard
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.
path
idstring
Required

Canvas UUID.

Format: uuid
query
location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.

Path Parameters

idstring
Required

Canvas UUID.

Query Parameters

location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Example:
acme-retail

Responses

dashboardIdstring
createdboolean

true on first-time creation.

regeneratedboolean

true when an existing dashboard was rebuilt.